Skip to main content
POST
/
v1
/
agents
/
run
/
{agent_id}
/
curl --request POST \
  --url "https://api.roe-ai.com/v1/agents/run/YOUR_AGENT_ID/" \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "inputs": {
      "key": "value"
    }
  }'
[
  {
    "key": "<string>",
    "data_type": "<string>",
    "value": "<string>",
    "description": "<string>",
    "cost": 123
  }
]
curl --request POST \
  --url "https://api.roe-ai.com/v1/agents/run/YOUR_AGENT_ID/" \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "inputs": {
      "key": "value"
    }
  }'

Authorizations

Authorization
string
header
required

Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.

Path Parameters

agent_id
string<uuid>
required

Query Parameters

organization_id
string<uuid>

Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.

Body

application/json

Agent execution request. In addition to metadata, every key of the agent's input definitions is accepted as a property (text value or file upload).

metadata
object

Optional metadata stored as-is on the created agent job. A JSON-encoded object string is also accepted; null is treated the same as omitting the field (empty metadata). Only honored by the single-run endpoints — when this object is an item of the run-async-many inputs list, metadata is ignored.

Response

Agent job result

key
string
required

The key of the output

data_type
string
required

The MIME data type of the output

value
string
required

The value of the output, serialized as a string

description
string

The description of the output

cost
number<double>

The cost of the agent job execution